/*
 * gui_tray.h: system tray support
 * Copyright (C) 2003-2004 Saulius Menkevicius
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef GUI_TRAY_H__
#define GUI_TRAY_H__

enum tray_trigger_enum {
	TRAY_TRIGGER_JOIN_LEAVE	= 1,
	TRAY_TRIGGER_CHANNEL_TEXT = 2,
	TRAY_TRIGGER_PRIVATE_TEXT = 4,
	TRAY_TRIGGER_STATUS_TEXT = 8,
	TRAY_TRIGGER_TOPIC_CHANGE = 16,

	TRAY_TRIGGER_DEFAULT = 31	/* this is used as default config setting */
};

void gui_tray_register();
gboolean gui_tray_embedded();

#endif

