/*
 * net.h: network funcs
 * Copyright (C) 2002-2004 Saulius Menkevicius
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef NET_H__
#define NET_H__

enum net_type_enum {
	NET_TYPE_QCHAT,
	NET_TYPE_VYPRESS,
	NET_TYPE_NUM,
	NET_TYPE_FIRST = NET_TYPE_QCHAT,
	NET_TYPE_LAST = NET_TYPE_VYPRESS
};

void net_register();
gboolean net_connected();
const gchar * net_name_of_type(enum net_type_enum);

#endif /* #ifndef NET_H__ */

